# Access Grants Page Testplan

&nbsp;

## Background
This testplan is going to cover the Access Grants Page. This page lists access grants information in a table such as name, date created, expiration date, permission, access type etc.

&nbsp;

&nbsp;

| Test Scenario                   | Test Case                                                                             | Description                                                                                                                                                                                                                                                                                                                                                                        | Comments |
|---------------------------------|---------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------|
| Access Grant Management Page UI | Click on the Access Management Section of Storj Sidebar                           | While the sidebar is present, if the user clicks on the access management section of the sidebar then the user should be redirected to the access grant management page                                                                                                                                                                                                            |          |
|                                 | Confirm Access Grant Management Page                                                  | While the user is in their access grant management page, the user should be able to see the Access Management Header and a header named My Access Keys with a list of access keys if the user has created any, a button for a new access grant and a search bar to search for any access grants                                                                                    |          |
|                                 | Access Grant More Info Button                                                         | Under the access management header, there is a more info button that leads to an explanation of access grants, so if it is clicked user should be redirected to storj-labs access grants concepts page                                                                                                                                                                             |          |
|                                 | Click More Info Button on Access Grant with Limited Permissions                       | When a user clicks on the more info button for said access grant with limited permissions, it should show the stated permissions                                                                                                                                                                                                                                                   |          |
|                                 | Warning for Server Side vs Client Side Encryption                                     | User should be shown some warning regarding server side vs client side encryption like the big red warning we currently have (or a smaller warning), this is important as customers would like to know the tradeoffs of the different options |      |
|                                 | Access Grants Shortcuts- Create Access Grant Button                                   | If user clicks on create access grant button on the access grants shortcuts, then user should be presented with a modal allowing user to create access grants with steps to define access, buckets, end date, permissions, name etc. (at the end user should also be able to copy said access grant or save in text file)                                                          |          |
|                                 | Access Grants Shortcuts- Learn More Button                                            | If user clicks on learn more button on the access grants shortcuts, then user should be redirected to Storj-labs page with more information about access grants                                                                                                                                                                                                                    |          |
|                                 | API Keys Shortcuts- Create API Keys Button                                            | If user clicks on create API keys button on the API keys shortcut, then user should be presented with a modal allowing user to create API keys (at the end user should also be able to copy said API key and Satellite Address or save it in a text file)                                                                                                                          |          |
|                                 | API Keys Shortcuts- Learn More Button                                                 | If user clicks on learn more button on the API keys shortcut, then user should be redirected to Storj-labs page with more information about API keys                                                                                                                                                                                                                               |          |
|                                 | S3 Credentials Shortcuts- Create S3 Credentials Button                                | If user clicks on create S3 credentials button on the S3 credentials shortcuts, then user should be presented with a modal to create S3 credentials to switch backend of an app using S3 compatible object   storage to Storj (at the end user should also be able to copy said S3 credentials; secret key, access key and endpoint on clipboard or download as a text file)   |          |
|                                 | S3 Credentials Shortcuts- Learn More Button                                           | If user clicks on learn more button on the S3 credentials shortcut, then user should be redirected to Storj-labs page with more information on S3 credentials                                                                                                                                                                                                                      |          |
|                                 | First Visit Check for About Access Grants                                             | If user visits access management page for the first time, the user should see an about access grant message explaining what access grants are (this message should also be dismissible)                                                                                                                                                                                            |          |
|                                 | Check for About Access Grants after First Visit                                       | If user visits access management page again after their first time ( and presses dismiss), then for every subsequent visit to this page the user should not be presented with this access grant message                                                                                                                                                                            |          |
|                                 | Renew Expired Access Grants                                                           | If user has an expired access grant, user should be given an option to renew said expired access grant                                                                                                                                                                                                                                                                             |          |
|                                 | Encrypt Access                                                                        | When creating an access grant, S3 credentials or API keys and user clicks on encrypt access, user should then be able to generate or create their own passphrase for said access grant or S3 credential                                                                                                                                                                            |          |
|                                 | Add a New Access (Access Grant / S3 Credential / API Keys)                            | If the user adds a new Access (Access Grant / S3 Credential / API Keys) to an account, then the user should see said Access (Access Grant / S3 Credential / API Keys) on the first-page display of My Access Keys created by Browser with the date created showing said creation time (user should be able to also use said access grant)                                                                                              |          |
|                                 | Search For Access (Access Grant / S3 Credential / API Keys)                           | If the user has a set number of Access (Access Grant / S3 Credential / API Keys)s and then inputs a tag in the search bar to search for a specific Access (Access Grant / S3 Credential / API Keys), the user should be presented with an Access (Access Grant / S3 Credential / API Keys) that contains said tag                                                                  |          |
|                                 | Create New Access (Access Grant / S3 Credential / API Keys) with Limited permissions  | If the user creates an Access (Access Grant / S3 Credential / API Keys) on a new account and gives it limited permissions, then from the first-page display of My Access Keys user should be able to see said Access (Access Grant / S3 Credential / API Keys) with the tag limited permissions underneath the name (user should also be able to use said access grant)                                                                |          |
|                                 | Limited Permissions More Info Button                                                  | On the access, keys display if a user has a limited permission Access (Access Grant / S3 Credential / API Keys) there will be a more info button for limited permissions, so if it is clicked user should be redirected to storj-labs limited permissions page                                                                                                                     |          |
|                                 | Create New Access (Access Grant / S3 Credential / API Keys) with Specific Buckets     | If the user creates an Access (Access Grant / S3 Credential / API Keys) on a new account and only applies it to specific buckets, then from the first-page display of My Access Keys user should be able to see which buckets the access keys are applied to (user should be able to use said access grant with those specific buckets and not other buckets)                                                                                                                       |          |
|                                 | Create New Access (Access Grant / S3 Credential / API Keys) with Set Duration         | If the user creates an Access (Access Grant / S3 Credential / API Keys) on a new account and inputs a set duration for it, then from the first-page display of My Access Keys user should be able to see the set duration of Access (Access Grant / S3 Credential / API Keys) (user should be able to use said access grant for set duration and not after it)                                                                                                      |          |
|                                 | Expired Access (Access Grant / S3 Credential / API Keys)                              | If the user created an Access (Access Grant / S3 Credential / API Keys) on a new account and the time for it expires, then from the first-page display of My Access Keys user should be able to see that it is expired (user should also be unable to use said access grant since it is expired)                                                                                                                                                             |          |
|                                 | Check for Access (Access Grant / S3 Credential / API Keys)s using Directional Buttons | If a user has an account with a high number of Access (Access Grant / S3 Credential / API Keys)s, then on the Access (Access Grant / S3 Credential / API Keys) management page user should be presented with arrows to shift between different Access (Access Grant / S3 Credential / API Keys) pages so they can view all their Access (Access Grant / S3 Credential / API Keys)s |          |
|                                 | Sort Access (Access Grant / S3 Credential / API Keys)s by Label                       | If a user has an account with Access (Access Grant / S3 Credential / API Keys)s that are discernable, then on the Access (Access Grant / S3 Credential / API Keys) management page user should be able to click on labels like Name, Bucket, Created By, Date Created, or Duration to sort their Access (Access Grant / S3 Credential / API Keys)s by selected label               |          |
|                                 | More Options Button- Access (Access Grant / S3 Credential / API Keys)                 | With an Access (Access Grant / S3 Credential / API Keys) the user should be able to click on the more options button and open up a modal that shows permissions, buckets, created by, duration, Name and a button to delete said Access (Access Grant / S3 Credential / API Keys)                                                                                                  |          |
|                                 | Delete Access (Access Grant / S3 Credential / API Keys)                               | If a user deletes an Access (Access Grant / S3 Credential / API Keys) through the more options modal, then there should be a warning telling the user of the potential drawbacks of deleting said Access (Access Grant / S3 Credential / API Keys) and user should type name of Access (Access Grant / S3 Credential / API Keys) to confirm deletion                               |          |
